Archive Room
POST
Archives a Room without erasing its history. This lifecycle action is HTTP-only by default.
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
room_id*stringStable Room ID.
Match
^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$SMB-Workspace-Id*stringWorkspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidIdempotency-Key*stringLength
8 <= length <= 200application/json- body
expected_revision*integerRange
1 <= valueSuccessful authorized response.
application/json- response
room*action_receipt*idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16request_id*stringcurl -X POST 'https://example.com/v1/rooms/string/archive' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Idempotency-Key: stringst' \ -H 'Content-Type: application/json' \ -d '{ "expected_revision": 1}'{ "room": { "room_id": "string", "business_id": "string", "title": "string", "purpose": "string", "status": "active", "revision": 1, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z", "access_level": "view", "general_access": "business", "general_access_level": "view", "attachments": [ { "attachment_id": "string", "type": "business", "id": "string", "label": "string", "attached_at": "2019-08-24T14:15:22Z" } ], "parent": { "room_id": "string", "title": "string" }, "sub_room_count": 0, "can_be_starting_room": true, "settings": { "who_can_invite": "full_access", "custom_branding": true, "brand_logo_url": "string", "smb_agent": {}, "outside_apps": {}, "locks": [ "string" ], "effective": { "smb_agent": {}, "outside_apps": {}, "locked_by_parent": [ "string" ] }, "parent_effective": {} }, "url": "http://example.com" }, "action_receipt": { "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7", "command_id": "7d510d78-7444-4252-aeac-9e473949661e", "action": "string", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }, "idempotent_replay": true, "request_id": "string"}